Bug 71141 - [pmd] AssertionError: BaseKit.install() incorrectly called from non-AWT thread.
[pmd] AssertionError: BaseKit.install() incorrectly called from non-AWT thread.
Status: RESOLVED FIXED
Product: contrib
Classification: Unclassified
Component: PMD
6.x
All All
: P2 (vote)
: 6.x
Assigned To: _ rkubacki
issues@contrib
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-08 10:25 UTC by Martin Krauskopf
Modified: 2007-12-07 16:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
71141-AE.txt (1.38 KB, text/plain)
2006-01-08 10:26 UTC, Martin Krauskopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2006-01-08 10:25:33 UTC
fresh build, 1.6.0-beta-b59c, linux

I just select five classes in "Projects" view and press Alt+Shift-p. Attached
exception is thrown. Next time it works -> RANDOM.

Maybe not an error in the plugin - up to you.
Comment 1 Martin Krauskopf 2006-01-08 10:26:40 UTC
Created attachment 28278 [details]
71141-AE.txt
Comment 2 _ rkubacki 2006-02-09 14:22:01 UTC
I tried to fix this though I was not able to reproduce and verify this.
Comment 3 Martin Krauskopf 2006-02-09 14:24:02 UTC
I'll check it as soon as a new version is out.
Comment 4 _ rkubacki 2006-02-09 14:24:12 UTC
pmd/pmd-netbeans/src/pmd/RunPMDAction.java 1.41


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo